发现一个WHMCS不算Bug的Bug

发现一个WHMCS不算Bug的Bug

很多客户买了WHMCS终身授权
每年需要支付更新费用才能升级到最新版
recheck
其实如果只是升级低一个版本的 是不会出现升级版本错误
解密了license.class.php 看了下代码才发现 然后尝试了一下 是无问题的

举个例子
============================
你买的5.1.5版本
一年后
升级服务器过期了 未续费
官方已经发布5.2.7版
你升级到5.2.7 提示版本错误 后台无法登陆
如果你升级到5.2.6 是可以正常使用和登录的

代码里检查 只是检查是否为最新版本 没针对版本号对应检查

有福了吧?

发表评论

电子邮件地址不会被公开。 必填项已用*标注

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据

Scroll to top